# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac_instr::OverlayParams Class Reference

Class holding instrumentation overlay information.

`#include <overlay.h>`

## Public Member Functions
OverlayOption | Option () const
| Get functions... Returns instrumentation command line option. More...
int | Reference () const
| Returns which reference is to be used. More...
int | Background () const
| Returns true if input picture background is used, false if grey. More...
int | Legend () const
| Returns true if colour legend is displayed. More...
int | MvClip () const
| Returns clip value for motion vectors. More...
int | SADClip () const
| Returns clip value for sad. More...
void | SetOption (OverlayOption o)
| Set functions... Set type of instrumentation. More...
void | SetReference (int r)
| Set which reference picture is to be used. More...
void | SetBackground (bool b)
| Set whether input picture or grey is used as background. More...
void | SetLegend (bool l)
| Set display of colour legend. More...
void | SetMvClip (int c)
| Set clip for motion vectors. More...
void | SetSADClip (int c)
| Set clip for sad. More...

## Private Attributes
OverlayOption | m_option
| Instrumentation command line option. More...
int | m_ref
| Reference picture. More...
bool | m_bg
| Background - original luma or mid-grey. More...
bool | m_legend
| Instrumentation legend off. More...
int | m_mv_clip
| Motion vector clip value. More...
int | m_sad_clip
| SAD clip value. More...

## Member Function Documentation

## ◆ Background()

int dirac_instr::OverlayParams::Background | ( |  | ) | const
| inline

References m_bg.

## ◆ Legend()

int dirac_instr::OverlayParams::Legend | ( |  | ) | const
| inline

References m_legend.

## ◆ MvClip()

int dirac_instr::OverlayParams::MvClip | ( |  | ) | const
| inline

References m_mv_clip.

## ◆ Option()

OverlayOption dirac_instr::OverlayParams::Option | ( |  | ) | const
| inline

References m_option.

## ◆ Reference()

int dirac_instr::OverlayParams::Reference | ( |  | ) | const
| inline

References m_ref.

## ◆ SADClip()

int dirac_instr::OverlayParams::SADClip | ( |  | ) | const
| inline

References m_sad_clip.

## ◆ SetBackground()

void dirac_instr::OverlayParams::SetBackground | ( | bool | b | ) |
| inline

References m_bg.

## ◆ SetLegend()

void dirac_instr::OverlayParams::SetLegend | ( | bool | l | ) |
| inline

References m_legend.

## ◆ SetMvClip()

void dirac_instr::OverlayParams::SetMvClip | ( | int | c | ) |
| inline

References m_mv_clip.

## ◆ SetOption()

void dirac_instr::OverlayParams::SetOption | ( | OverlayOption | o | ) |
| inline

References m_option.

## ◆ SetReference()

void dirac_instr::OverlayParams::SetReference | ( | int | r | ) |
| inline

References m_ref.

## ◆ SetSADClip()

void dirac_instr::OverlayParams::SetSADClip | ( | int | c | ) |
| inline

References m_sad_clip.

## Member Data Documentation

## ◆ m_bg

bool dirac_instr::OverlayParams::m_bg
| private

Referenced by Background(), and SetBackground().

## ◆ m_legend

bool dirac_instr::OverlayParams::m_legend
| private

Referenced by Legend(), and SetLegend().

## ◆ m_mv_clip

int dirac_instr::OverlayParams::m_mv_clip
| private

Referenced by MvClip(), and SetMvClip().

## ◆ m_option

OverlayOption dirac_instr::OverlayParams::m_option
| private

Referenced by Option(), and SetOption().

## ◆ m_ref

int dirac_instr::OverlayParams::m_ref
| private

Referenced by Reference(), and SetReference().

## ◆ m_sad_clip

int dirac_instr::OverlayParams::m_sad_clip
| private

Referenced by SADClip(), and SetSADClip().

The documentation for this class was generated from the following file:

- overlay.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.